Welcome to the new Schneider Electric Community

It's your place to connect with experts and peers, get continuous support, and share knowledge.

  • Explore the new navigation for even easier access to your community.
  • Bookmark and use our new, easy-to-remember address (community.se.com).
  • Get ready for more content and an improved experience.

Contact SchneiderCommunity.Support@se.com if you have any questions.

Close
Invite a Co-worker
Send a co-worker an invite to the Exchange portal.Just enter their email address and we’ll connect them to register. After joining, they will belong to the same company.
Send Invite Cancel
84242members
353342posts

PCNS Virtual Applicance, VMware Tools update not working

APC UPS Data Center & Enterprise Solutions Forum

Schneider Electric support forum for our Data Center and Business Power UPS, UPS Accessories, Software, Services, and associated commercial products designed to share knowledge, installation, and configuration.

Solved
ChrisHaag_apc
Ensign
Ensign
0 Likes
3
514

PCNS Virtual Applicance, VMware Tools update not working

This was originally posted on APC forums on 12/29/2016


After updating to vSphere ESXi 6.5 I tried to update the VMware Tools to 10.1.0 (version supplied with ESXi 6.5), which did not work

The automatic VMware Tools update started from the vSphere Web Client, as instructed on http://www.apc.com/us/en/faqs/FA176573/, reported that the file /usr/lib/vmware/isoimages/linuxPreGlibc25.iso does not exist.

A manual update using a downloaded (full) VMware Tools ISO did not work either. The message is "RPC greeting failed: Host software version may not be compatible with the Upgrader"

We have installed the PCNS Virtual Appliance recently under ESXi 6 and the VMware Tools update was no problem at all. 

There are a few changes in ESXi 6.5 concerning CentOS, we could not find something about CentOS 5, which is used by the applicance. For CentOS 6 and above VMware advises to check the VM's OS settings if VMware Tools cannot be installed. There is nothing said about CentOS 5 and also the applicance is configured as "CentOS 4/5 64 Bit" (setting not changed by us).

Any idea how we can get this VMware Tools version installed? 


Accepted Solutions
ChrisHaag_apc
Ensign
Ensign
0 Likes
0
514

Re: PCNS Virtual Applicance, VMware Tools update not working

This was originally posted on APC forums on 1/2/2017


The problem is that ESXi 6.5 for some reason does not identify the OS of the virtual appliance correctly. linuxPreGlibc25.iso is not contained in the VMware Tools 10.1.0, as "Pre glibc 2.5" is a part of the legacy bundle, which is contained in the VMware Tools 10.0.12. But the virtual appliance has glibc version 2.5 and VMware Tools 10.1.0 would be the right version.

A manual installation worked - after unpacking the .tar.gz file:

1) Add a CD/DVD drive

2) Execute

mkdir /mnt/dvd

mount -t iso9660 /dev/hda /mnt/dvd

mkdir /root/vmware-tmp

tar -xzf VMwareTools-10.1.0-4449150.tar.gz -C /root/vmware-tmp/

cd /root/vmware-tmp/vmware-tools-distrib/

./vmware-install.pl

3) Go through settings

If using Veeam or similar, set the option "vmsync" to yes, all other can be on defaults

4) Clean up

rm -rf /root/vmware-tmp

umount /mnt/dvd 

5) Guest hardware version can be safely upgraded to ESXi 6.5 = hardware version 13

6) All is green in VMware Update Manager now

See Answer In Context

3 Replies 3
ChrisHaag_apc
Ensign
Ensign
0 Likes
0
515

Re: PCNS Virtual Applicance, VMware Tools update not working

This was originally posted on APC forums on 1/2/2017


The problem is that ESXi 6.5 for some reason does not identify the OS of the virtual appliance correctly. linuxPreGlibc25.iso is not contained in the VMware Tools 10.1.0, as "Pre glibc 2.5" is a part of the legacy bundle, which is contained in the VMware Tools 10.0.12. But the virtual appliance has glibc version 2.5 and VMware Tools 10.1.0 would be the right version.

A manual installation worked - after unpacking the .tar.gz file:

1) Add a CD/DVD drive

2) Execute

mkdir /mnt/dvd

mount -t iso9660 /dev/hda /mnt/dvd

mkdir /root/vmware-tmp

tar -xzf VMwareTools-10.1.0-4449150.tar.gz -C /root/vmware-tmp/

cd /root/vmware-tmp/vmware-tools-distrib/

./vmware-install.pl

3) Go through settings

If using Veeam or similar, set the option "vmsync" to yes, all other can be on defaults

4) Clean up

rm -rf /root/vmware-tmp

umount /mnt/dvd 

5) Guest hardware version can be safely upgraded to ESXi 6.5 = hardware version 13

6) All is green in VMware Update Manager now

ChrisHaag_apc
Ensign
Ensign
0 Likes
0
514

Re: PCNS Virtual Applicance, VMware Tools update not working

This was originally posted on APC forums on 1/2/2017


Btw. support cyle of CentOS 5 ends March 2017...

BillP
Administrator Administrator
Administrator
0 Likes
0
514

Re: PCNS Virtual Applicance, VMware Tools update not working

This reply was originally posted by Stefan on APC forums on 2/17/2017


There is no need to download and the unpack the .tar.gz file.

The VMware Tools 10.1.0 ISO image is available in vmimages/tools-isoimages/linux.iso when you select "Datastore ISO file" in the VM settings.

Anyway, thanks for the hint. That helped.